Package ghidra.util.datastruct

# Class StringArray

java.lang.Object
ghidra.util.datastruct.StringArray

All Implemented Interfaces:
  `Array`, `Serializable`

public class StringArray extends Object implements Array, Serializable
Array of Strings that grows as needed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringArray()`
  Creates new StringArray

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyDataTo(int index, DataTable table, int toIndex, int toCol)`
  Copies the underlying value for this array at the given index to the data table at the given index and column.
  `String`
  `get(int index)`
  Returns the String at the given index
  `int`
  `getLastNonEmptyIndex()`
  Returns the index of the last non-null or non-zero element in the array.
  `void`
  `put(int index, String value)`
  Puts the given String value in the String array at the given index
  `void`
  `remove(int index)`
  Removes the string at the given index

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringArray

    public StringArray()
    Creates new StringArray

- ## Method Details

  - ### put

    public void put(int index, String value)
    Puts the given String value in the String array at the given index
    Parameters:
      `index` - Index into the array.
      `value` - value to store

  - ### get

    public String get(int index)
    Returns the String at the given index
    Parameters:
      `index` - index into the array
    Returns:
      The String at the given index. A null will be return for any index not initialized to another value.

  - ### remove

    public void remove(int index)
    Removes the string at the given index
    Specified by:
      `remove` in interface `Array`
    Parameters:
      `index` - index of the string to be removed

  - ### getLastNonEmptyIndex

    public int getLastNonEmptyIndex()
    Returns the index of the last non-null or non-zero element in the array.
    Specified by:
      `getLastNonEmptyIndex` in interface `Array`
    Returns:
      the index of the last non-null or non-zero element in the array

  - ### copyDataTo

    public void copyDataTo(int index, DataTable table, int toIndex, int toCol)
    Description copied from interface: `Array`
    Copies the underlying value for this array at the given index to the data table at the given index and column. The data type at the column in the data table must be the same as the data in this array.
    Specified by:
      `copyDataTo` in interface `Array`
    Parameters:
      `index` - index into this array to copy the value from.
      `table` - the data table object to copy the data to.
      `toIndex` - the index into the destination data table to copy the value.
      `toCol` - the data table column to store the value. Must be the same type as this array.
    See Also:
      - `Array.copyDataTo(int, ghidra.util.datastruct.DataTable, int, int)`